function subStack = Afun(I, frameLocations)    
% Forward projection operator
% @inputs
% I: HR image
% frameLocations: locations of LR frames
% @output
% subStack: LR frames

    kernel = fspecial('average',3);
    % kernel = ones(3);
    im_avg = conv2(I, kernel, 'valid');
%     figure; imshow(im_avg);
    sizeLR = size(im_avg,1) / 3;
    frame_stack = double.empty(sizeLR, sizeLR, 0);
    for r = 1:3
        for c = 1:3
            frame = im_avg(r:3:end, c:3:end);
            frame_stack = cat(3,frame_stack, frame);
        end
    end
    numSubFrame = length(frameLocations);
    [w,h] = size(frame);
    subStack = zeros(w,h,numSubFrame);
    for k=1:numSubFrame
        frame = frame_stack(:,:,frameLocations(k));
        subStack(:,:,k) = frame;
    end    
end