function I = Atfun(subStack,frameLocations)
% Back projection operator
% @inputs
% subStack: LR frames
% frameLocations: locations of LR frames
% @output
% I: HR image

    frameSize = size(subStack(:,:,1));
    numFrames = length(frameLocations);
    finalWidth = 3 * frameSize + 2;
    I = zeros(finalWidth);
    for k = 1:numFrames
        frame = subStack(:,:,k);
        frameUS = imresize(frame,3,'nearest');
        frameUS_pad = padarray(frameUS,[2,2],'post');
        frameLocation = frameLocations(k);
        frameUS_shift = circshift(frameUS_pad,[floor(frameLocation/3),mod(frameLocation-1,3)]);
        I = I + frameUS_shift;
    end
    I = I / numFrames;
end